<?php
require_once '../../debug/debug.php';
require_once '../../model/mysql/DataBase.php';

class MysqlPizza {
	private $db;

	public function __construct() {
		$this->db = new DataBase();
	}//end construct
	
	/*
	 * OPERATION TABLE homepage
	 */
	public function get_description() {
		$query = "SELECT `description` FROM `homepage` WHERE `id`='1';";
		$result = $this->db->query($query);
		$result = $result->fetch_row();
		return $result[0];
	}
	
	public function get_subtitle() {
		$query = "SELECT `subtitle` FROM `homepage` WHERE `id`='1';";
		$result = $this->db->query($query);
		$result = $result->fetch_row();
		return $result[0];
	}
	
	public function get_title() {
		$query = "SELECT `title` FROM `homepage` WHERE `id`='1';";
		$result = $this->db->query($query);
		$result = $result->fetch_row();
		return $result[0];
	}
	
	public function update_description($description) {
		$description = $this->db->escape_string($description);
		$query = "UPDATE `homepage` SET `description`='$description' WHERE `id`='1';";
		$result = $this->db->query($query);
		return $result;
	}
	
	public function update_subtitle($subtitle) {
		$subtitle = $this->db->escape_string($subtitle);
		$query = "UPDATE `homepage` SET `subtitle`='$subtitle' WHERE `id`='1';";
		$result = $this->db->query($query);
		return $result;
	}
	
	public function update_title($title) {
		$title = $this->db->escape_string($title);
		$query = "UPDATE `homepage` SET `title`='$title' WHERE `id`='1';";
		$result = $this->db->query($query);
		return $result;
	}
	
	/*
	 * OPERATION TABLE menu
	 */
	 public function add_menu($name_menu) {
		$query = "INSERT INTO `menu` (name) VALUES ('$name_menu');";
		$result = $this->db->query($query);
		return $result;
	}
	
	public function delete_menu($name_menu) {
		$query = "DELETE FROM `menu` WHERE `name`='$name_menu';";
		$result = $this->db->query($query);
		return $result;
	}
	
	public function get_list_menu() {
		$query = "SELECT `name` FROM `menu`;";
		$result = $this->db->query($query);
		while ($row = $result->fetch_array()) {
			$list[] = $row;
		}
		return $list;
	}

	/*
	 * OPERATION TABLE opening_time
	 */
	 public function get_opening_time1_by_day($day) {
		 $query = "SELECT opening_time1 FROM `opening_time` WHERE `day`='$day';";
		 $result = $this->db->query($query);
		 $result = $result->fetch_row();
		 return $result[0];
	 }

	public function get_opening_time2_by_day($day) {
		 $query = "SELECT opening_time2 FROM `opening_time` WHERE `day`='$day';";
		 $result = $this->db->query($query);
		 $result = $result->fetch_row();
		 return $result[0];
	 }
	 
	 public function update_opening_time1_by_day($day, $opening_time) {
		$day = $this->db->escape_string($day);
		$query = "UPDATE `opening_time` SET `opening_time1`='$opening_time' WHERE `day`='$day';";
		$result = $this->db->query($query);
		return $result;
		}
		
	public function update_opening_time2_by_day($day, $opening_time) {
		$day = $this->db->escape_string($day);
		$query = "UPDATE `opening_time` SET `opening_time2`='$opening_time' WHERE `day`='$day';";
		$result = $this->db->query($query);
		return $result;
	}
	
	/*
	 * OPERATION TABLE pizza
	 */
	 public function add_pizza($name_menu, $name_pizza, $ingredients, $price27, $price33) {
		 $query = "INSERT INTO `pizza` (menu, name, ingredients, price27, price33) VALUES ('$name_menu', '$name_pizza', '$ingredients', '$price27', '$price33')";
		 $result = $this->db->query($query);
		 return $result;
	 }
	 
	 public function delete_pizza($name_pizza) {
		 $query = "DELETE FROM `pizza` WHERE `name`='$name_pizza';";
		 $result = $this->db->query($query);
		 return $result;
	 }
	 
	 public function get_list_pizza_by_menu($name_menu) {
		 $query = "SELECT * FROM `pizza` WHERE `menu`='$name_menu';";
		 $result = $this->db->query($query);
		 
		 while ($row = $result->fetch_array()) {
			 $list[] = $row;
		 }
		 
//		 $result = $result->fetch_row();
		 return $list;
	 }
	 	 
	/*
	 * OPERATION TABLE society
	 */
	 public function get_name() {
		 $query = "SELECT `name` FROM `society` WHERE `id`='1';";
		$result = $this->db->query($query);
		$result = $result->fetch_row();
		return $result[0];
	 }
	 
	 public function get_address() {
		 $query = "SELECT `address` FROM `society` WHERE `id`='1';";
		$result = $this->db->query($query);
		$result = $result->fetch_row();
		return $result[0];
	 }
	 
	 public function get_zipcode() {
		 $query = "SELECT `zipcode` FROM `society` WHERE `id`='1';";
		$result = $this->db->query($query);
		$result = $result->fetch_row();
		return $result[0];
	 }
	 
	 public function get_town() {
		 $query = "SELECT `town` FROM `society` WHERE `id`='1';";
		$result = $this->db->query($query);
		$result = $result->fetch_row();
		return $result[0];
	 }
	 
	 public function get_phone() {
		 $query = "SELECT `phone` FROM `society` WHERE `id`='1';";
		$result = $this->db->query($query);
		$result = $result->fetch_row();
		return $result[0];
	 }
	 
	public function update_name($name) {
		$name = $this->db->escape_string($name);
		$query = "UPDATE `society` SET `name`='$name' WHERE `id`='1';";
		$result = $this->db->query($query);
		return $result;
	}
	
	public function update_address($address) {
		$address = $this->db->escape_string($address);
		$query = "UPDATE `society` SET `address`='$address' WHERE `id`='1';";
		$result = $this->db->query($query);
		return $result;
	}
	
	public function update_zipcode($zipcode) {
		$zipcode = $this->db->escape_string($zipcode);
		$query = "UPDATE `society` SET `zipcode`='$zipcode' WHERE `id`='1';";
		$result = $this->db->query($query);
		return $result;
	}
	
	public function update_town($town) {
		$country = $this->db->escape_string($town);
		$query = "UPDATE `society` SET `town`='$town' WHERE `id`='1';";
		$result = $this->db->query($query);
		return $result;
	}
	
	public function update_phone($phone) {
		$phone = $this->db->escape_string($phone);
		$query = "UPDATE `society` SET `phone`='$phone' WHERE `id`='1';";
		$result = $this->db->query($query);
		return $result;
	}
	
}//end class
?>
