<?php
function debugjs($message) {
	echo "
<script>
function debugjs(message) {
  var page=document.location;
  alert(page + message);
}//end debugjs
</script>
\n";
}//end debugjs


// Pour utiliser la fonction debug, faire :
// include_once '../debug/debug.php';
// debug("Message");

function debug($message) {
  $path = $_SERVER['PHP_SELF'];
  $trace = debug_backtrace();
	$file_d = $trace[0]['file'];
  $line = $trace[0]['line'];
  echo "<p>$file_d ligne $line <strong>$message</strong></p>\n";
}

function display_array($list_array) {
echo "Element du tableau : ";
  foreach($list_array as $val) {
      echo "$val ";
  }//end_foreach
}

function parse_file() {
	$path = $_SERVER['PHP_SELF'];
	$trace = debug_backtrace();
	$file = $trace[0]['file'];
	echo "<p>Fichier : $file</p>\n";
	$lines = file($file);
	foreach ($lines as $line_num => $line) {
		echo "$line_num :" . htmlspecialchars($line) . "<br>\n";
	}//end foreach
}

function w_debug($message) {
  $path = $_SERVER['PHP_SELF'];
  $trace = debug_backtrace();
  $line = $trace[0]['line'];
  echo "<style>#debug {border: 1px solid black; width: 400px;position: absolute; top: 100px; left: 200px;}</style>";
  echo "<div id='debug'><p style=\"font-weight: bold; text-decoration:underline\">$path ligne $line</p>$line $message</div>";
}

/*
 * probleme :
 * - lorsqu'on appelle une fonction qui n'existe pas il n'y a pas d'erreur
 * - lorsque le nom de la classe ne correspond pas a l'appel du new -> pas d'erreur
 * - verification des points-virgules a la fin des phrases -> pas d'erreur
 * */
?>
