<?php
require_once '../../model/mysql/DataBase.php';
require_once '../../debug/debug.php';

class MysqlInstall {
	private $db;

	public function __construct() {
		$this->db = new DataBase();
	}//end construct
	
	public function create_table_homepage() {
		$db = new DataBase();
		$query ="
		CREATE TABLE `homepage` (
		`id` int(11) NOT NULL,
		`title` varchar(250) NOT NULL,
		`subtitle` varchar(250) NOT NULL,
		`description` text NOT NULL,
		`image` varchar(250) NOT NULL
	) ENGINE=InnoDB DEFAULT CHARSET=utf8\n";
		$result = $this->db->query($query);
		
		if ($result !=1) {
			printf("Erreur dans la creation de la table: %s\n", $this->db->error());
		}
		$query = "INSERT INTO `homepage` (`id`, `title`, `subtitle`) VALUES
		('1', 'my title', 'my subtitle')";
		$result = $this->db->query($query);
		return $result;
	}
	
	public function create_table_menu() {
		$db = new DataBase();
		$query = "
		CREATE TABLE `menu` (
		`id` int(11) NOT NULL,
		`name` varchar(60) NOT NULL
		) ENGINE=InnoDB DEFAULT CHARSET=utf8
		\n";
		$result = $this->db->query($query);
		if ($result !=1) {
			printf("Erreur dans la creation de la table: %s\n", $this->db->error());
		}
		return $result;
	}
	
	public function create_table_opening_time() {
		$db = new DataBase();
		$query ="
		CREATE TABLE `opening_time` (
		`id` int(11) NOT NULL,
		`day` varchar(20) NOT NULL,
		`opening_time1` varchar(20) NOT NULL,
		`opening_time2` varchar(20) NOT NULL
		) ENGINE=InnoDB DEFAULT CHARSET=utf8
		\n";
		$result = $this->db->query($query);
		if ($result !=1) {
			printf("Erreur dans la creation de la table: %s\n", $this->db->error());
		}
		$query = "
		INSERT INTO `opening_time` (`id`, `day`, `opening_time1`, `opening_time2`) VALUES
		('1', 'Lundi', '10h-12h', '14h-16h')";
		$result = $this->db->query($query);
		
		$query = "
		INSERT INTO `opening_time` (`id`, `day`, `opening_time1`, `opening_time2`) VALUES
		('2', 'Mardi', '10h-12h', '14h-16h')";
		$result = $this->db->query($query);
		
		$query = "
		INSERT INTO `opening_time` (`id`, `day`, `opening_time1`, `opening_time2`) VALUES
		('3', 'Mercredi', '10h-12h', '14h-16h')";
		$result = $this->db->query($query);
		
		$query = "
		INSERT INTO `opening_time` (`id`, `day`, `opening_time1`, `opening_time2`) VALUES
		('4', 'Jeudi', '10h-12h', '14h-16h')";
		$result = $this->db->query($query);
		
		$query = "
		INSERT INTO `opening_time` (`id`, `day`, `opening_time1`, `opening_time2`) VALUES
		('5', 'Vendredi', '10h-12h', '14h-16h')";
		$result = $this->db->query($query);
		
		$query = "
		INSERT INTO `opening_time` (`id`, `day`, `opening_time1`, `opening_time2`) VALUES
		('6', 'Samedi', '10h-12h', '14h-16h')";
		$result = $this->db->query($query);
		
		$query = "
		INSERT INTO `opening_time` (`id`, `day`, `opening_time1`, `opening_time2`) VALUES
		('7', 'Dimanche', '10h-12h', '14h-16h')";
		$result = $this->db->query($query);
		
		return $result;
	}
	
	public function create_table_society() {
		$db = new DataBase();
		$query ="
		CREATE TABLE `society` (
		`id` int(11) NOT NULL,
		`name` varchar(250) NOT NULL,
		`address` varchar(250) NOT NULL,
		`zipcode` varchar(20) NOT NULL,
		`town` varchar(50) NOT NULL,
		`phone` varchar(20) NOT NULL
		) ENGINE=InnoDB DEFAULT CHARSET=utf8\n";
		$result = $this->db->query($query);
		if ($result!=1) {
			printf("Erreur dans la creation de la table : %s\n", $this->db->error());
		}
		$query="INSERT INTO `society`
		(`id`, `name`, `address`, `zipcode`, `town`, `phone`) VALUES
		(1, 'nom', 'remplir adresse', '00000', 'ville', 'téléphone')";
		$result = $this->db->query($query);
		if ($result!=1) {
			printf("Erreur dans la creation de la table : %s\n", $this->db->error());
		}
		return $result;
	}
	
	public function error() {
		return $this->db->error();
	}
}//end class
?>
