<!doctype html>
<html lang="fr">
<head>
<meta charset="UTF-8">
<title>Pizza "PIZZ'N CO" </title>
<link rel="stylesheet" type="text/css" href="../css/admin.css">
<script src="../../lib/js/MooTools-Core-1.6.0.js"></script>
</head>
<body>
<div id="global">
<header>

</header>
<?php
require_once '../../controller/php_controller/Pizza.php';
require '../../view/php_admin/header.php';
display_menu("operation_pizza");
?>

<script>
	function delete_pizza(_name_pizza) {
		var v_post = {
				name_pizza: _name_pizza
			};
			var request = new Request.HTML({
				update: $('content'),
				url: '../../controller/php_admin/ev_delete_pizza.php'
			}).post(v_post);
	}
window.addEvent('domready', function() {
	$('ev_add_pizza').addEvent('click', function() {
		var v_post = {
			name_menu: $('name_menu').value,
			name_pizza: $('name_pizza').value,
			ingredients: $('ingredients').value,
			price27: $('price27').value,
			price33: $('price33').value
		};

		var request = new Request.HTML({
			update: $('content'),
			url: '../../controller/php_admin/ev_add_pizza.php'
		}).post(v_post);
	});
	
	$('ev_select_edit').addEvent('change', function() {
		var v_post = {
			name_menu: $('ev_select_edit').value
		};
		var request = new Request.HTML({
			update: $('edit_pizza'),
			url: '../../controller/php_admin/ev_edit_pizza.php'
		}).post(v_post);
	});
}); //end domready
</script>

<section id="content">
<article>
<h1>Opération Pizza</h1>

<div id='operation'>
	<h2>Création d'une pizza</h2>
<table>
	<tr>
		<th>Menu</th>
		<td>
			<select id='name_menu'>
			<?php
			$pizza = new Pizza();
			$list_menu = $pizza->get_list_menu();
			foreach ($list_menu as $menu) {
				echo "<option>$menu[name]</option>";
			}
			?>
		</td>
	</tr>
	<tr>
		<th>Nom</th>
		<td><input type='text' id='name_pizza'></td>
	</tr>
	<tr>
		<th>Ingrédients</th>
		<td><input type='text' id='ingredients'></td>
	</tr>
	<tr>
		<th>Prix 27</th>
		<td><input type='text' id='price27'></td>
	</tr>
	<tr>
		<th>Prix 33</th>
		<td><input type='text' id='price33'></td>
	</tr>
</table>
<input type='button' value='Valider' id='ev_add_pizza'>

<h2>
	Modification d'une pizza
	<select id='ev_select_edit'>
	<?php
			foreach ($list_menu as $menu) {
				echo "<option>$menu[name]</option>";
			}
	?>
	</select>
</h2>
<div id='edit_pizza'>
Aucune sélection
</div> <!-- end edit_pizza -->

<h2>
	Suppression d'une pizza
	<select id='ev_select_del'>
	<?php
			foreach ($list_menu as $menu) {
				echo "<option>$menu[name]</option>";
			}
	?>
	</select>
</h2>
<table>
<?php

foreach ($list as $item) {
	echo "<tr>
		<td>$item[1] $item[2]</td>
		<td><input type='button' value='Supprimer' onclick='delete_pizza(\"$item[2]\")'></td>
	</tr>\n";
	}
?>
</table>
</div>
</article>

</section>
</div> <!-- fin global -->
</body>
</html>
