<!doctype html>
<html lang="fr">
<head>
	<?php
	require '../../debug/debug.php';
	require '../../controller/php_controller/Pizza.php';
	$pizza = new Pizza();
	$title = $pizza->get_title();
	$subtitle = $pizza->get_subtitle();
	$description = $pizza->get_description();
	
	$name = $pizza->get_name();
	$address = $pizza->get_address();
	$zipcode = $pizza->get_zipcode();
	$town = $pizza->get_town();
	$phone = $pizza->get_phone();
	
	$op1Monday = $pizza->get_opening_time1_by_day("Lundi");
	$op2Monday = $pizza->get_opening_time2_by_day("Lundi");

	$op1Tuesday = $pizza->get_opening_time1_by_day("Mardi");
	$op2Tuesday = $pizza->get_opening_time2_by_day("Mardi");

	$op1Wednesday = $pizza->get_opening_time1_by_day("Mercredi");
	$op2Wednesday = $pizza->get_opening_time2_by_day("Mercredi");

	$op1Thursday = $pizza->get_opening_time1_by_day("Jeudi");
	$op2Thursday = $pizza->get_opening_time2_by_day("Jeudi");

	$op1Friday = $pizza->get_opening_time1_by_day("Vendredi");
	$op2Friday = $pizza->get_opening_time2_by_day("Vendredi");

	$op1Saturday = $pizza->get_opening_time1_by_day("Samedi");
	$op2Saturday = $pizza->get_opening_time2_by_day("Samedi");

	$op1Sunday = $pizza->get_opening_time1_by_day("Dimanche");
	$op2Sunday = $pizza->get_opening_time2_by_day("Dimanche");
	?>
<meta charset="UTF-8">
<title><?php echo $title; ?></title>
<link rel="stylesheet" type="text/css" href="../../view/css/public.css">
</head>
<body>
<div id="global">
	
<header>
<?php echo $title; ?>
<div id="subtitle"><?PHP echo $subtitle; ?></div>
</header>

<?php
require '../../view/php_public/menu.php';
?>

<section id="main_content">
<article>
<h1>Présentation</h1>
<p>
	<?php
	$tab = explode("\n", $description);
	$nb = count($tab);
	for ($i=0;$i<$nb;$i++) {
	 echo "<p>$tab[$i]</p>";
	}
	?>
</p>

<h1>Horaires</h1>
<table id="timetables" cellpadding="4">
<tr>
<th>Lundi</th>
<th>Mardi</th>
<th>Mercredi</th>
<th>Jeudi</th>
<th>Vendredi</th>
<th>Samedi</th>
<th>Dimanche</th>
</tr>
<tr>
<td><?php echo $op1Monday; ?></td>
<td><?php echo $op1Tuesday; ?></td>
<td><?php echo $op1Wednesday; ?></td>
<td><?php echo $op1Thursday; ?></td>
<td><?php echo $op1Friday; ?></td>
<td><?php echo $op1Saturday; ?></td>
<td><?php echo $op1Sunday; ?></td>
</tr>
<tr>
<td><?php echo $op2Monday; ?></td>
<td><?php echo $op2Tuesday; ?></td>
<td><?php echo $op2Wednesday; ?></td>
<td><?php echo $op2Thursday; ?></td>
<td><?php echo $op2Friday; ?></td>
<td><?php echo $op2Saturday; ?></td>
<td><?php echo $op2Sunday; ?></td>
</tr>
</table>

<h1>Contact</h1>
<?php
	echo "<p>$address - $zipcode $town</p>";
	echo "<p id='phone'>Téléphone : $phone</p>";
?>

</article>

</section>

<footer>
	<?php
		echo "$name - $address - $zipcode - $town - Téléphone : $phone";
	?>
</footer>
</div> <!-- fin global -->
</body>
</html>
